Package org.optaplanner.core.impl.phase

## Class AbstractPhaseFactory<Solution_,​PhaseConfig_ extends PhaseConfig<PhaseConfig_>>

- java.lang.Object
- - org.optaplanner.core.impl.phase.AbstractPhaseFactory<Solution_,​PhaseConfig_>

- All Implemented Interfaces:
    `PhaseFactory<Solution_>`
  Direct Known Subclasses:
    `DefaultConstructionHeuristicPhaseFactory`, `DefaultCustomPhaseFactory`, `DefaultExhaustiveSearchPhaseFactory`, `DefaultLocalSearchPhaseFactory`, `DefaultPartitionedSearchPhaseFactory`, `NoChangePhaseFactory`

      public abstract class AbstractPhaseFactory<Solution_,​PhaseConfig_ extends PhaseConfig<PhaseConfig_>>
      extends Object
      implements PhaseFactory<Solution_>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected PhaseConfig_` | `phaseConfig` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractPhaseFactory​(PhaseConfig_ phaseConfig)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Termination<Solution_>` | `buildPhaseTermination​(HeuristicConfigPolicy<Solution_> configPolicy, Termination<Solution_> solverTermination)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.PhaseFactory

      `buildPhase`

- - ### Field Detail

    - #### phaseConfig

          protected final PhaseConfig_ extends PhaseConfig<PhaseConfig_> phaseConfig

  - ### Constructor Detail

    - #### AbstractPhaseFactory

          public AbstractPhaseFactory​(PhaseConfig_ phaseConfig)

  - ### Method Detail

    - #### buildPhaseTermination

          protected Termination<Solution_> buildPhaseTermination​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                 Termination<Solution_> solverTermination)